ADate(3)

NAME
ADate - The ADate class is responsible for input/output of Dates and handling the different Date Formats.

SYNOPSIS

#include <adate.h>

  Static Public Member Functions
static QDate parseInput (QString &io_user_input, OPL::DateFormat format)
takes a user-provided input and tries to convert it to a (valid) QDate.
static void tryToFix (QString &io_user_input, OPL::DateFormat format)
static void padCentury (QString &io_user_input, OPL::DateFormat format)
padCentury adds the century to a date where it was omitted
static void padZeroes (QString &io_user_input)
pads a user-provided date string with 0s to facilitate conversion to QDate
static void addSeperators (QString &io_user_input, const OPL::DateFormat &format)
static bool containsSeperator (const QString &user_input)
static QString toString (const QDate &date, OPL::DateFormat format=OPL::DateFormat::ISODate)
Reimplements QDate::toString to accept OPL::Date::ADateFormat enums.
static const QStringList & getDisplayNames ()
static const QString getFormatString (OPL::DateFormat format)
static const QString currentDate ()
today Returns a string containing the current date in ISO format

Detailed Description

The ADate class is responsible for input/output of Dates and handling the different Date Formats.

Member Function Documentation

  const QString ADate::currentDate () [static]

today Returns a string containing the current date in ISO format

Returns

  QDate ADate::parseInput (QString & io_user_input, OPL::DateFormat format) [static]

takes a user-provided input and tries to convert it to a (valid) QDate.

Returns
    QDate (invalid if input not recognized)

Author

Generated automatically by Doxygen for openPilotLog from the source code.